Loading...
Searching...
No Matches
ZyanArgParseDefinition_ Struct Reference

`#include <ArgParse.h>`

## Public Attributes

const char * | name
ZyanBool | boolean
ZyanBool | required

## Detailed Description

Definition of a single argument.

## Member Data Documentation

## boolean

ZyanBool ZyanArgParseDefinition_::boolean

Whether the argument is boolean or expects a value.

## name

const char* ZyanArgParseDefinition_::name

The argument name, e.g. --help.

Must start with either one or two dashes. Single dash arguments must consist of a single character, (e.g. -n), double-dash arguments can be of arbitrary length.

## required

ZyanBool ZyanArgParseDefinition_::required

Whether this argument is required (error if missing).

The documentation for this struct was generated from the following file:

- include/Zycore/ArgParse.h